gLite > gLite 3.2 > glite-WN > Known Issues  
 
 

 

 

gLite 3.2

gLite Worker Node 64Bit known issues


Compatibility Mode

Description


This version of the Worder Node is targeted to setup x86_64 machines in "compatibility" mode, i.e. both 32bit and 64bit libraries are provided. The YAIM tool configures the LD_LIBRARY_PATH variable accordingly.

In order to get both 32bit and 64bit libraries, both versions of certain rpms must be installed. On a x86_64 machine yum usually installs the 64bit rpm over the 32bit rpm but for certain rpms this seems not to be the case (for yet unknown reasons). It has been observed that certain binaries in /opt/lcg/bin may be 32bit on the x86_64 Worker Node. However, this should not be a problem as 32bit binaries can be executed on a x86_64 machine.


dCache client doesn't work in SL5

Tracked via Bug 54065

Description

There is a bug in the dCache client in SL5 that prevents it from working properly.

Known workaround

Use lcg_util as data management client instead.

RFIO in SL5

Tracked via Bug 42592

Description

Using rfio on the WN fails.

Known workaround

Set ithe environment variable: RFIO_PORT=5001

classads missing path

Tracked via Bug 48044

Description

The path to the classads library is missing in LD_LIBRARY_PATH. As a result the glite-brokerinfo command fails. As a workaround add /opt/classads/lib64 to LD_LIBRARY_PATH. This can be done by inserting the line

Known workaround

Inserting the following line in /etc/profile.d/grid-env.sh: gridpath_prepend "LD_LIBRARY_PATH" "/opt/classads/lib64"

lcg-tags and lcg-ManageVOTags don't work with uberftp

Tracked via Bug 48604
Bug 48606

Description

The commands /opt/lcg/bin/lcg-tags and /opt/lcg/bin/lcg-ManageVOTag don't work on the SL5 WN.

YAIM known issues

For an up to date documentation on configuration known issues, please check also:
  • YAIM known issues page for the yaim clients, which is the module that configures the WN.

UI tarball known issues

If you are installing the WN via a tarball, check also:

gLite Known issues


Please also check the gLite wide known issues.

If you are installing the Worker Node via a tarball, please also have a look to the known issues specific for the tarball installation.